Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.portlet
Class CommunityAccessLevel

    java.lang.Object
      com.plumtree.remote.portlet.CommunityAccessLevel

public class CommunityAccessLevel
extends java.lang.Object

`CommunityAccessLevel` enumerates the access levels that a user can have for a particular Community. `CommunityAccessLevel` is a type-safe enumeration, so instances of the class can be compared using identity equality.

Field Summary
`static CommunityAccessLevel` | `Admin` `Admin` means that the user has full administrative rights to the Community.
`static CommunityAccessLevel` | `Edit` `Edit` means that the user has the ability to edit content in the Community (add Portlets, delete Portlets, change layout, etc.).
`static CommunityAccessLevel` | `None` `None` means that the user does not have access to the Community.
`static CommunityAccessLevel` | `Read` `Read` means that the user can see the Community in the list of Communities, but cannot choose to join the Community.
`static CommunityAccessLevel` | `Select` `Select` means that the user can join the Community.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### None

    public static CommunityAccessLevel None

  `None` means that the user does not have access to the Community.

### Read

    public static CommunityAccessLevel Read

  `Read` means that the user can see the Community in the list of Communities, but cannot choose to join the Community.

### Select

    public static CommunityAccessLevel Select

  `Select` means that the user can join the Community.

### Edit

    public static CommunityAccessLevel Edit

  `Edit` means that the user has the ability to edit content in the Community (add Portlets, delete Portlets, change layout, etc.).

### Admin

    public static CommunityAccessLevel Admin

  `Admin` means that the user has full administrative rights to the Community.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.